function [power,newwave,fftwave,shiftedwave]=resolutionrotate(wave,phi)

fftwave=fft(wave,[],2);
[t1,T1,phase1,wave1,Fs,N] = BFtheta(100000,6000,phi,340,0);
delay=floor((phase1-phase1(1))*Fs);
coef=(2*pi*delay*(0:N-1))/N;
mag=abs(fftwave);
ang=angle(fftwave);
diff=ang+coef;
for i=1:64
shiftedwave(i,:)=mag(i,:).*exp((1i*((diff(i,:)))));
end
newwave=ifft(shiftedwave,[],2);

s=sum(newwave);
power=(rms(s)).^2;
end
